Foreman - Refactor #244

remove AS from usergroup pages
05/11/2010 02:26 PM - Paul Kelly

Status: Closed

Priority: Normal

Assignee: Paul Kelly

Category: Web Interface

Target version: 0.1-5

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Associated revisions

Revision 9¢c0e127b - 05/17/2010 07:03 AM - Paul Kelly

Fixes #170 - implement usergroups

Added migration

Added tests

Added MVC files

Added the routes as well

Added the program logic and additional views

Added RESTful actions for update and create

Added validations to ensure that usergroup.name and user.login do not collide
Added "recipients" method to users and usergroups. This returns a list of addresses.
Usergroup#trecipients will follow all nested usergroups avoiding any loops and
return only unique addresses

Fixes #73 - Add usergroup support to hosts
Fixes #244 - Remove ActiveScaffold from the usergroup pages

and finally - added owners to host edit page and other whitespaces and
mods by ohad

History

#1 - 05/11/2010 04:31 PM - Paul Kelly
- Status changed from New to Resolved

- Branch set to feature/170-usergroups

Cleaned out AS
note that the branch is feature/170-usergroups

#2 - 05/16/2010 12:41 PM - Ohad Levy
- Status changed from Resolved to Ready For Testing

- Target version set to 0.1-5

#3 - 05/17/2010 07:08 AM - Paul Kelly
- % Done changed from 0 to 100

Applied in changeset 9c0e127b1d42b7243403dd49d739cf8e97baab0b.

#4 - 05/17/2010 07:10 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9c0e127b1d42b7243403dd49d739cf8e97baa60b

closing, as the usergroup was never introduced as an activescaffold (in master or develop branches)
